Bug 127881 - installer ignores manually-specified hostname
installer ignores manually-specified hostname
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 17:13 EDT by John Reiser
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 04:13:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-07-14 17:13:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
I got a hostname of "localhost.localdomain" instead of what I
specified during graphical install as "Set hostname (x)Manually".

Version-Release number of selected component (if applicable):
anaconda-10.0.1-2.i386.rpm

How reproducible:
Didn't try

Steps to Reproduce:
1. Fresh graphical install FC3test1 from CD-ROM.
2. During ethernet configuration, select "Set hostname (x)Manually"
and enter the desired hostname.
3. Finish install, finish firstboot, login, ask for hostname.
    

Actual Results:  Hostname is localhost.localdomain.

Expected Results:  Hostname is what I entered on the ethernet
configuration page in the text box next to the selected radio button
for (x)Manually specified hostname.

Additional info:
Comment 1 Paul Nasrat 2004-07-14 17:24:43 EDT
Investigating
Comment 2 Paul Nasrat 2004-07-23 08:18:36 EDT
Tested here and hostname set as expected from manual entry prior to
firstboot and after firstboot completes.  Ran multiple installs.

Can you give more details on network configuration, dhcp setup if any,
and any additional steps within firstboot.
Comment 3 John Reiser 2004-07-24 16:11:22 EDT
Network configuration: 2 ethernet interfaces: sis900 integrated inside
motherboard controller, plus e100 PCI card.  dhcp: Netgear RP614v2
(forwards DNS server info from ISP, but does not provide DNS, and does
nothing with hostnames).

I did another fresh install, and found a more concise symptom.  On the
graphical installer's network configuration page, select the radio
button to assign hostname Manually, and enter the name.  Select one of
the interfaces (click on "eth0", for instance), then click Edit. 
Merely observe the resulting dialog box (make no changes), and click
OK to dismiss.  This resets the radio button for setting hostname to
Automatically, and when I proceeded through the rest of the install
without setting it back to Manually, then I got localhost.localdomain.

So: making no changes in Edit an interface, and dismissing with OK,
resets the hostname radio button to Automatically.  Dismissing with
Cancel leaves the hostname radio button alone.  So should OK, if no
changes were made.  (The user made no changes, why shouldn't the
installer do the same?)
Comment 4 Paul Nasrat 2004-08-02 05:35:27 EDT
Commited a fix to HEAD

Note You need to log in before you can comment on or make changes to this bug.